System requirements

Esri Maps for Salesforce requires an account that is part of an ArcGIS Online organization and access to Salesforce. As a requirement for Esri Maps for Salesforce, you need to enable https for your ArcGIS organization account.

The supported editions in Esri Maps for Salesforce include the following:

  • Developer
  • Enterprise
  • Performance
  • Unlimited

Visit the Salesforce page for more information about editions.

For Salesforce system limits and requirements, see the Salesforce help pages.

Esri Maps for Salesforce supports the following browsers:

  • Chrome
  • Firefox
  • Internet Explorer 9, 10*
  • Safari

*Internet Explorer 10 compatibility is limited to the desktop browser and does not extend to the touch-based version.